Cyberduck Mountain Duck CLI

#10282 closed defect (fixed)

Deleted Bookmarks Reappearing

Reported by: amandaf Owned by:
Priority: highest Milestone:
Component: core Version: 6.4.4
Severity: major Keywords:
Cc: Architecture:
Platform:

Description

I have several bookmarks that I have tried to delete several times. Every time I close Cyberduck and reopen it, the bookmarks I deleted are in the list again. New bookmarks I have made are in there also. So it's just the ones I try to delete keep reappearing. I am using the latest OS version for Mac. I have made sure that Cyberduck is up to date and have shut down and restarted my computer.

Change History (9)

comment:1 Changed on Mar 20, 2018 at 3:39:38 PM by yla

  • Resolution set to worksforme
  • Status changed from new to closed

I cannot replicate this issue. Please try to manually remove the bookmark files. For the location please refer to help/en/faq

comment:2 follow-up: Changed on Mar 22, 2018 at 6:25:10 AM by amandaf

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Thank you for the help! I deleted the bookmarks from ~/Library/Group Containers/G69SCX94XU.duck/Library/Application Support/duck/ that I no longer wanted. I closed Cyberduck and when I opened it again, the bookmarks I deleted reappeared in that folder and they were still on in the application window.

comment:3 Changed on Mar 22, 2018 at 7:54:00 AM by yla

It might be possible that Cyberduck is always doing a migration from the old location to the new Group Container. Please check if you still have the folder ~/Application Support/Cyberduck. If yes, please delete it.

comment:4 Changed on Mar 22, 2018 at 9:53:12 AM by yla

  • Resolution set to worksforme
  • Status changed from reopened to closed

comment:5 Changed on Mar 22, 2018 at 3:06:02 PM by amandaf

  • Resolution worksforme deleted
  • Status changed from closed to reopened

I don't still have that folder. I've even uninstalled and reinstalled the application. Even when I reinstalled it, the bookmarks will still there.

comment:6 in reply to: ↑ 2 Changed on Apr 3, 2018 at 8:15:43 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

Replying to amandaf:

Thank you for the help! I deleted the bookmarks from ~/Library/Group Containers/G69SCX94XU.duck/Library/Application Support/duck/ that I no longer wanted. I closed Cyberduck and when I opened it again, the bookmarks I deleted reappeared in that folder and they were still on in the application window.

Please close Cyberduck prior removing the bookmarks manually.

comment:7 Changed on Apr 3, 2018 at 10:30:31 PM by amandaf

  • Resolution worksforme deleted
  • Status changed from closed to reopened

I made sure that Cyberduck was closed before removing the bookmarks manually and when I reopened the program, the bookmarks came back. So I'm still having this issue.

I have even completely uninstalled the program and deleted all of the bookmarks and when I reinstall it, the bookmarks are still there.

comment:8 Changed on May 10, 2018 at 2:26:27 PM by cpaddison

Ok, I was able to replicate the issue with the latest version of macOS 10.13.4 running Cyberduck 6.5.0.
I think this happens on systems that have had older free versions of Cyberduck and then newer paid versions.
The fact is, that if the bookmarks keep coming back, then there must be some old .duck bookmark files being copied over.
First try looking here, then close Cyberduck and move those to your trash can:

  • /Users/username/Library/Containers/ch.sudo.cyberduck/Data/Library/Application Support/Cyberduck/Bookmarks/

If you don't see any .duck files there, then try a full system search in your terminal, like so:

  • find / -type f -name "*.duck" 2> /dev/null

Once you find the other .duck files, besides the ones that it is probably using, most likely here:

  • /Users/username/Library/Group Containers/G69SCX94XU.duck/Library/Application Support/duck/Bookmarks/

After you have located the duplicate older .duck bookmark files, then you can open Cyberduck and now should be able to successfully delete bookmarks and have them actually be deleted and not come back.

Hope that fixes it for you, cheers!

comment:9 Changed on Jun 12, 2018 at 6:30:39 PM by amandaf

  • Resolution set to fixed
  • Status changed from reopened to closed

THAT WORKED!! Thank you so so much!!!

Note: See TracTickets for help on using tickets.
swiss made software